summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-shells/sash
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-shells/sash')
-rw-r--r--app-shells/sash/Manifest1
-rw-r--r--app-shells/sash/files/sash-3.7-builtin.patch14
-rw-r--r--app-shells/sash/metadata.xml7
-rw-r--r--app-shells/sash/sash-3.8.ebuild46
4 files changed, 68 insertions, 0 deletions
diff --git a/app-shells/sash/Manifest b/app-shells/sash/Manifest
new file mode 100644
index 00000000000..1064ef43cd2
--- /dev/null
+++ b/app-shells/sash/Manifest
@@ -0,0 +1 @@
+DIST sash-3.8.tar.gz 53049 SHA256 13c4f9a911526949096bf543c21a41149e6b037061193b15ba6b707eea7b6579 SHA512 e544721dbb5d13d2184531a2caa4b90fb29fc360e2b80f64adb2433cbe4e5588171f3567bde03b520fbe7cbd0f3007e0e9c9c41cb16570709b03cedc2dfbe291 WHIRLPOOL a866e254f1beb0b87591875992871b2e223fd72a0386fdff60bf1c6151a29e5d85d0fc72f9af75953a78b5f5b15eb8cc6587b0e2a0c5b6c62b9b08f69d469c5e
diff --git a/app-shells/sash/files/sash-3.7-builtin.patch b/app-shells/sash/files/sash-3.7-builtin.patch
new file mode 100644
index 00000000000..be943063efd
--- /dev/null
+++ b/app-shells/sash/files/sash-3.7-builtin.patch
@@ -0,0 +1,14 @@
+diff -Nrup sash-3.7.orig/sash.c sash-3.7/sash.c
+--- sash-3.7.orig/sash.c 2004-01-14 00:08:03.000000000 -0500
++++ sash-3.7/sash.c 2004-10-31 00:05:59.000000000 -0400
+@@ -739,6 +739,10 @@ tryBuiltIn(const char * cmd)
+ while (*endCmd && !isBlank(*endCmd))
+ endCmd++;
+
++ /* FIXME: command line will segv with -c 12000bytes -solar */
++ if ((endCmd - cmd) >= sizeof(cmdName))
++ return FALSE;
++
+ memcpy(cmdName, cmd, endCmd - cmd);
+
+ cmdName[endCmd - cmd] = '\0';
diff --git a/app-shells/sash/metadata.xml b/app-shells/sash/metadata.xml
new file mode 100644
index 00000000000..91f4e72fb54
--- /dev/null
+++ b/app-shells/sash/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/app-shells/sash/sash-3.8.ebuild b/app-shells/sash/sash-3.8.ebuild
new file mode 100644
index 00000000000..a9b1fab6545
--- /dev/null
+++ b/app-shells/sash/sash-3.8.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils toolchain-funcs flag-o-matic
+
+DESCRIPTION="A small (static) UNIX Shell"
+HOMEPAGE="http://www.canb.auug.org.au/~dbell/"
+SRC_URI="http://www.canb.auug.org.au/~dbell/programs/${P}.tar.gz"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86"
+IUSE="static"
+
+DEPEND="
+ static? ( sys-libs/zlib[static-libs] )
+ !static? ( >=sys-libs/zlib-1.2.3 )"
+RDEPEND="!static? ( ${DEPEND} )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/sash-3.7-builtin.patch
+
+ sed \
+ -e "s:-O3:${CFLAGS}:" \
+ -e '/strip/d' \
+ -i Makefile || die
+ sed \
+ -e 's:linux/ext2_fs.h:ext2fs/ext2_fs.h:g' \
+ -i cmd_chattr.c || die
+}
+
+src_compile() {
+ use static && append-ldflags -static
+
+ emake LDFLAGS="${LDFLAGS}" CC="$(tc-getCC)"
+}
+
+src_install() {
+ into /
+ dobin sash
+ doman sash.1
+ dodoc README
+}